Package edu.msu.cme.rdp.multicompare

# Class MultiClassifierResult

java.lang.Object
edu.msu.cme.rdp.multicompare.MultiClassifierResult

public class MultiClassifierResult extends Object

## Constructor Summary

Constructors
Constructor
Description
`MultiClassifierResult(edu.msu.cme.rdp.taxatree.ConcretRoot root)`
`MultiClassifierResult(edu.msu.cme.rdp.taxatree.ConcretRoot root, List<MCSample> samples, List<String> badSequences, Map<String,Long> seqCountMap)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSample(MCSample sample)`
`void`
`addSampleList(List<MCSample> samples)`
`List<String>`
`getBadSequences()`
`edu.msu.cme.rdp.taxatree.ConcretRoot`
`getRoot()`
`MCSample`
`getSample(String sampleName)`
`List<MCSample>`
`getSamples()`
`Map<String,Long>`
`getSeqCountMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiClassifierResult

public MultiClassifierResult(edu.msu.cme.rdp.taxatree.ConcretRoot root)

### MultiClassifierResult

public MultiClassifierResult(edu.msu.cme.rdp.taxatree.ConcretRoot root, List<MCSample> samples, List<String> badSequences, Map<String,Long> seqCountMap)

## Method Details

### getRoot

public edu.msu.cme.rdp.taxatree.ConcretRoot getRoot()

### getSamples

public List<MCSample> getSamples()

### getBadSequences

public List<String> getBadSequences()

### getSeqCountMap

public Map<String,Long> getSeqCountMap()

### getSample

public MCSample getSample(String sampleName)

### addSample

public void addSample(MCSample sample)

### addSampleList

public void addSampleList(List<MCSample> samples)